Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.svg
Class SVGOMAnimatedMarkerOrientValue.BaseSVGAngle

    java.lang.Object
      org.apache.batik.dom.svg.SVGOMAngle
          org.apache.batik.dom.svg.SVGOMAnimatedMarkerOrientValue.BaseSVGAngle

All Implemented Interfaces:
  org.w3c.dom.svg.SVGAngle

Enclosing class:
  SVGOMAnimatedMarkerOrientValue

    protected class SVGOMAnimatedMarkerOrientValue.BaseSVGAngle

extends SVGOMAngle

This class represents the SVGAngle returned by `SVGOMAnimatedMarkerOrientValue.AnimatedAngle.getBaseVal()`.

Field Summary

Fields inherited from class org.apache.batik.dom.svg.SVGOMAngle
`K, UNITS, unitType, value`

Fields inherited from interface org.w3c.dom.svg.SVGAngle
`SVG_ANGLETYPE_DEG, SVG_ANGLETYPE_GRAD, SVG_ANGLETYPE_RAD, SVG_ANGLETYPE_UNKNOWN, SVG_ANGLETYPE_UNSPECIFIED`

Constructor Summary
`protected` | `SVGOMAnimatedMarkerOrientValue.BaseSVGAngle()`

Method Summary
`void` | `invalidate()` Invalidates this angle.
`protected void` | `parse(String s)` Parse a String value as an SVGAngle.
`protected void` | `reset()` Resets the value of the associated attribute.
`protected void` | `revalidate()` Initializes the angle, if needed.

Methods inherited from class org.apache.batik.dom.svg.SVGOMAngle
`convertToSpecifiedUnits, getUnitType, getValue, getValueAsString, getValueInSpecifiedUnits, newValueSpecifiedUnits, setValue, setValueAsString, setValueInSpecifiedUnits, toUnit`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGOMAnimatedMarkerOrientValue.BaseSVGAngle

    protected SVGOMAnimatedMarkerOrientValue.BaseSVGAngle()

Method Detail

### invalidate

    public void invalidate()

  Invalidates this angle.

### reset

    protected void reset()

  Resets the value of the associated attribute.

  Overrides:
    `reset` in class `SVGOMAngle`

### revalidate

    protected void revalidate()

  Initializes the angle, if needed.

  Overrides:
    `revalidate` in class `SVGOMAngle`

### parse

    protected void parse(String s)

  Parse a String value as an SVGAngle. If orient="auto", the method will parse the value "0" instead.

  Overrides:
    `parse` in class `SVGOMAngle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.